


Public NotInheritable Class BuscaColorAcercaDE

    Private Sub AboutBox1_Load( _
            ByVal sender As System.Object, ByVal e As System.EventArgs) _
            Handles MyBase.Load

        ' Establezca el ttulo del formulario.
        Dim ApplicationTitle As String
        If My.Application.Info.Title <> "" Then
            ApplicationTitle = My.Application.Info.Title
        Else
            ApplicationTitle = System.IO.Path.GetFileNameWithoutExtension( _
                My.Application.Info.AssemblyName)
        End If
        Me.Text = String.Format( _
                     System.Globalization.CultureInfo.CurrentCulture, _
                     "Acerca de    {0}", ApplicationTitle)
        ' Inicialice el texto mostrado en el cuadro Acerca de.
        ' TODO: Personalice la informacin del ensamblado de la aplicacin en el panel "Aplicacin" del 
        '    cuadro de dilogo propiedades del proyecto (bajo el men "Proyecto").
        Me.LabelProductName.Text = String.Format( _
                     System.Globalization.CultureInfo.CurrentCulture, _
                     "Nombre:     {0} ", ProductName)
        '     Me.LabelProductName.Text = nombre My.Application.Info.ProductName
        Me.LabelVersion.Text = String.Format( _
                     System.Globalization.CultureInfo.CurrentCulture, _
                     "Versin:    {0} ", My.Application.Info.Version.ToString)
        Me.LabelCopyright.Text = String.Format( _
                     System.Globalization.CultureInfo.CurrentCulture, _
                     "Copyright:  {0} ", My.Application.Info.Copyright)
        Me.LabelCompanyName.Text = String.Format( _
                     System.Globalization.CultureInfo.CurrentCulture, _
                     "Compaa:   {0} ", My.Application.Info.CompanyName)
        Using SW As New System.IO.StringWriter( _
                     System.Globalization.CultureInfo.CurrentCulture)
            SW.WriteLine("Descripcion: ")
            SW.WriteLine(My.Application.Info.Description)
            SW.Flush()
            Me.TextBoxDescription.Text = SW.ToString
        End Using
    End Sub

    Private Sub OKButton_Click(ByVal sender As System.Object, _
            ByVal e As System.EventArgs) _
             Handles OKButton.Click
        Me.Close()
    End Sub


    Private Sub LinkLabelAyudaEnLinea_LinkClicked( _
           ByVal sender As System.Object, _
           ByVal e As System.Windows.Forms.LinkLabelLinkClickedEventArgs) _
           Handles LinkLabelAyudaEnLinea.LinkClicked

        System.Windows.Forms.MessageBox.Show("Pues no... no hay ayuda en lnea", _
                        "Informacin", _
                         System.Windows.Forms.MessageBoxButtons.OK, _
                         System.Windows.Forms.MessageBoxIcon.Information, _
                         System.Windows.Forms.MessageBoxDefaultButton.Button1, _
                         System.Windows.Forms.MessageBoxOptions.DefaultDesktopOnly)

    End Sub


    Private Sub LinkLabelInformarDeUnBug_LinkClicked( _
            ByVal sender As System.Object, _
            ByVal e As System.Windows.Forms.LinkLabelLinkClickedEventArgs) _
            Handles LinkLabelInformarDeUnBug.LinkClicked



        Dim tituloAplicacion As String
        Dim fvi As System.Diagnostics.FileVersionInfo = Nothing
        Dim asuntoMensaje As String = String.Empty

        ' Ttulo de la aplicacin
        If My.Application.Info.Title <> "" Then
            tituloAplicacion = My.Application.Info.Title
        Else
            ' Si falta el ttulo de la aplicacin, utilice el nombre 
            ' de la aplicacin sin la extensin
            tituloAplicacion = System.IO.Path.GetFileNameWithoutExtension _
                              (My.Application.Info.AssemblyName)
        End If

        ' calcular la version
        Dim ensamblado As System.Reflection.Assembly = _
                          System.Reflection.Assembly.GetExecutingAssembly

        fvi = System.Diagnostics.FileVersionInfo.GetVersionInfo(ensamblado.Location)

        ' montar el texto del asunto del mensaje
        asuntoMensaje = tituloAplicacion & " v" & fvi.FileVersion


        ' Enviar un bug o mejora                                    (13/Jul/06)
        If My.Computer.Network.IsAvailable Then
            Dim sb As New System.Text.StringBuilder
            sb.AppendFormat( _
            "mailto:joaquin@medina.name?subject=Bug o mejora en {0}", _
            asuntoMensaje)

            System.Diagnostics.Process.Start(sb.ToString)

        Else

            System.Windows.Forms.MessageBox.Show( _
                            "No hay conexion con internet ", _
                             "PROBLEMA", _
                             System.Windows.Forms.MessageBoxButtons.OK, _
                             System.Windows.Forms.MessageBoxIcon.Warning, _
                             System.Windows.Forms.MessageBoxDefaultButton.Button1, _
                             System.Windows.Forms.MessageBoxOptions.DefaultDesktopOnly)

        End If

    End Sub


End Class
