

'
'
'/**
'--------------------------------------------------
' Version .....: 05/11/2008 10:35:53   
'               [dd/mm/aaaa] 
' Original en .: DllColor
'--------------------------------------------------
'
'
' -------------------------------------------------
' Clase ....: borrar
' Lenguaje .: (.NET Framework 3.5) - Visual Basic .NET (Version 9.0) - 2008
' Autor ....: Mi Casita - AGUILA - Joaquin
' Emilio ...: mailto:joaquin@medina.name
'
' DESCRIPCION.:
'      Formulario Acerca DE para el control [UCBuscaColor]
'
' OBSERVACIONES.:
'     Sin la referecia [Microsoft.VisualBasic] Sin Usar ControlChars
'
' BIBLIOGRAFIA.:
'    ### falta la Bibliografa ###
'
' MODIFICACIONES [dd/mm/aaaa] 
' - 05/11/2008 10:35:53 - Creacin 
' -------------------------------------------------
'
'*/
'


''' <summary>
'''   Formulario Acerca DE para el control [UCBuscaColor]
''' </summary>
Friend NotInheritable Class UCBuscaColorAcercaDE2008

    Private Sub AboutBox1_Load( _
            ByVal sender As System.Object, ByVal e As System.EventArgs) _
            Handles MyBase.Load

        ' Establezca el ttulo del formulario.
        Dim ApplicationTitle As String
        If My.Application.Info.Title <> "" Then
            ApplicationTitle = My.Application.Info.Title
        Else
            ApplicationTitle = System.IO.Path.GetFileNameWithoutExtension( _
                My.Application.Info.AssemblyName)
        End If
        Me.Text = String.Format( _
                     System.Globalization.CultureInfo.CurrentCulture, _
                     "Acerca de    {0}", "UcBuscaColor")
        ' Inicialice el texto mostrado en el cuadro Acerca de.
        ' TODO: Personalice la informacin del ensamblado de la aplicacin en el panel "Aplicacin" del 
        '    cuadro de dilogo propiedades del proyecto (bajo el men "Proyecto").
        Me.LabelProductName.Text = String.Format( _
                     System.Globalization.CultureInfo.CurrentCulture, _
                     "Nombre:     {0} ", "UcBuscaColor")
        '     Me.LabelProductName.Text = nombre My.Application.Info.ProductName
        Me.LabelVersion.Text = String.Format( _
                     System.Globalization.CultureInfo.CurrentCulture, _
                     "Versin:    {0} ", "2008.11.05.1")
        Me.LabelCopyright.Text = String.Format( _
                     System.Globalization.CultureInfo.CurrentCulture, _
                     "Copyright:  {0} ", "Joaquin 'jms32' Medina Serrano")

        Me.LabelCompanyName.Text = String.Format( _
                     System.Globalization.CultureInfo.CurrentCulture, _
                     "Compaa:   {0} ", "jms32")

        Using SW As New System.IO.StringWriter( _
                     System.Globalization.CultureInfo.CurrentCulture)
            SW.WriteLine("Descripcion: ")
            SW.WriteLine("Permite obtener el color de un pixel de la pantalla")
            SW.WriteLine("")
            SW.WriteLine("Para que funcione, debes pulsar el botn izquierdo del ratn sobre el botn, y cuando el cursor cambie a una cruz, [+], arrastrarla hasta el lugar de la pantalla del que quieres obtener el color.")
            SW.WriteLine("")
            SW.WriteLine("Cuando se desplaza el ratn por la pantalla, con el botn izquierdo pulsado, el color se va mostrando en el control conforme va obtenindose. ")
            SW.WriteLine("")
            SW.WriteLine("Cuando se libera el botn izquierdo del ratn, se supone que el color que queremos obtener es aquel que est justo debajo de la cruz del ratn, y entonces se calculan los valores del color ")
            SW.WriteLine("")
            SW.Flush()
            Me.TextBoxDescription.Text = SW.ToString
        End Using
    End Sub

    Private Sub OKButton_Click(ByVal sender As System.Object, _
            ByVal e As System.EventArgs) _
             Handles OKButton.Click
        Me.Close()
    End Sub


    Private Sub LinkLabelAyudaEnLinea_LinkClicked( _
            ByVal sender As System.Object, _
            ByVal e As System.Windows.Forms.LinkLabelLinkClickedEventArgs) _
            Handles LinkLabelAyudaEnLinea.LinkClicked

        System.Windows.Forms.MessageBox.Show("Pues no... no hay ayuda en lnea", _
                        "Informacin", _
                         System.Windows.Forms.MessageBoxButtons.OK, _
                         System.Windows.Forms.MessageBoxIcon.Information, _
                         System.Windows.Forms.MessageBoxDefaultButton.Button1, _
                         System.Windows.Forms.MessageBoxOptions.DefaultDesktopOnly)

    End Sub

    Private Sub LinkLabelInformarDeUnBug_LinkClicked( _
            ByVal sender As System.Object, _
            ByVal e As System.Windows.Forms.LinkLabelLinkClickedEventArgs) _
            Handles LinkLabelInformarDeUnBug.LinkClicked



        Dim tituloAplicacion As String
        Dim fvi As System.Diagnostics.FileVersionInfo = Nothing
        Dim asuntoMensaje As String = String.Empty

        ' Ttulo de la aplicacin
        If My.Application.Info.Title <> "" Then
            tituloAplicacion = My.Application.Info.Title
        Else
            ' Si falta el ttulo de la aplicacin, utilice el nombre 
            ' de la aplicacin sin la extensin
            tituloAplicacion = System.IO.Path.GetFileNameWithoutExtension _
                              (My.Application.Info.AssemblyName)
        End If

        ' calcular la version
        Dim ensamblado As System.Reflection.Assembly = _
                          System.Reflection.Assembly.GetExecutingAssembly

        fvi = System.Diagnostics.FileVersionInfo.GetVersionInfo(ensamblado.Location)

        ' montar el texto del asunto del mensaje
        asuntoMensaje = tituloAplicacion & " v" & fvi.FileVersion


        ' Enviar un bug o mejora                                    (13/Jul/06)
        If My.Computer.Network.IsAvailable Then
            Dim sb As New System.Text.StringBuilder
            sb.AppendFormat( _
            "mailto:joaquin@medina.name?subject=Bug o mejora en {0}", _
            asuntoMensaje)

            System.Diagnostics.Process.Start(sb.ToString)

        Else

            System.Windows.Forms.MessageBox.Show( _
                           "No hay conexion con internet ", _
                            "PROBLEMA", _
                            System.Windows.Forms.MessageBoxButtons.OK, _
                            System.Windows.Forms.MessageBoxIcon.Warning, _
                            System.Windows.Forms.MessageBoxDefaultButton.Button1, _
                            System.Windows.Forms.MessageBoxOptions.DefaultDesktopOnly)

        End If

    End Sub


End Class
